Aracılığıyla paylaş


Api - Create Or Update

API Management hizmet örneğinin belirtilen API'sini yeni oluşturur veya güncelleştirir.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/apis/{apiId}?api-version=2025-03-01-preview

URI Parametreleri

Name İçinde Gerekli Tür Description
apiId
path True

string

minLength: 1
maxLength: 80
pattern: ^[^*#&+:<>?]+$

API revizyon tanımlayıcısı. Geçerli API Management hizmet örneğinde benzersiz olmalıdır. Güncel olmayan revizyon ; rev=n bir sonek olarak, burada n revizyon numarasıdır.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız.

serviceName
path True

string

minLength: 1
maxLength: 50
pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$

API Management hizmetinin adı.

subscriptionId
path True

string

minLength: 1

Hedef aboneliğin kimliği.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

İstek Başlığı

Name Gerekli Tür Description
If-Match

string

Varlığın ETag'i. Bir varlık oluştururken gerekli değildir, ancak bir varlığı güncelleştirirken gereklidir.

İstek Gövdesi

Name Gerekli Tür Description
properties.path True

string

minLength: 0
maxLength: 400

Bu API'yi ve API Management hizmet örneği içindeki tüm kaynak yollarını benzersiz olarak tanımlayan göreli URL. Bu API için genel bir URL oluşturmak üzere hizmet örneği oluşturma sırasında belirtilen API uç nokta temel URL'sine eklenir.

apiRevision

string

minLength: 1
maxLength: 100

API'nin düzeltmesini açıklar. Değer sağlanmazsa, varsayılan düzeltme 1 oluşturulur

apiRevisionDescription

string

maxLength: 256

API Düzeltmesi'nin açıklaması.

apiVersion

string

maxLength: 100

API sürümlendiyse API'nin sürüm tanımlayıcısını gösterir

apiVersionDescription

string

maxLength: 256

API Sürümünün açıklaması.

apiVersionSetId

string

İlgili ApiVersionSet için kaynak tanımlayıcısı.

authenticationSettings

AuthenticationSettingsContract

Bu API'ye dahil edilen kimlik doğrulama ayarlarının koleksiyonu.

contact

ApiContactInformation

API için iletişim bilgileri.

description

string

API'nin açıklaması. HTML biçimlendirme etiketleri içerebilir.

isCurrent

boolean

API düzeltmenin geçerli API düzeltmesi olup olmadığını gösterir.

license

ApiLicenseInformation

API için lisans bilgileri.

properties.apiType

SoapApiType

Oluşturulacak API türü.

  • http bir REST API oluşturur
  • soap bir SOAP geçiş API'si oluşturur
  • websocket websocket API'si oluşturur
  • graphql GraphQL API'sini oluşturur. Gelecekte yeni türler eklenebilir.
properties.apiVersionSet

ApiVersionSetContractDetails

Sürüm kümesi ayrıntıları

properties.displayName

string

minLength: 1
maxLength: 300

API adı. 1 ile 300 karakter uzunluğunda olmalıdır.

properties.format

ContentFormat

API'nin içeri aktarıldığı İçeriğin biçimi. Gelecekte yeni biçimler eklenebilir

properties.protocols

Protocol[]

Bu API'deki işlemlerin çağrılabileceği protokolleri açıklar.

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Bu API'yi uygulayan arka uç hizmetinin mutlak URL'si. 2000 karakterden uzun olamaz.

properties.sourceApiId

string

Kaynak API'nin API tanımlayıcısı.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

Gerekli sorgu parametrelerini şablon parametrelerine çevirme stratejisi. Varsayılan olarak 'template' değerine sahiptir. Olası değerler: 'template', 'query'

properties.value

string

API içeri aktarılırken içerik değeri.

properties.wsdlSelector

ApiCreateOrUpdatePropertiesWsdlSelector

WSDL'nin içeri aktarılmasını belgenin bir alt kümesiyle sınırlama ölçütleri.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

API'nin kullanılabilir hale getirildiği protokoller.

subscriptionRequired

boolean

API'ye erişmek için bir API'nin mi yoksa Ürün aboneliğinin mi gerekli olduğunu belirtir.

termsOfServiceUrl

string

API için Hizmet Koşulları'nın URL'si. URL biçiminde olmalıdır.

type

ApiType

API türü.

Yanıtlar

Name Tür Description
200 OK

ApiContract

İstek başarılı oldu.

Üst Bilgiler

  • Azure-AsyncOperation: string
  • ETag: string
  • location: string
201 Created

ApiContract

İstek başarılı oldu ve sonuç olarak yeni bir kaynak oluşturuldu.

Üst Bilgiler

  • Azure-AsyncOperation: string
  • ETag: string
  • location: string
Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

ApiManagementCreateApi
ApiManagementCreateApiClone
ApiManagementCreateApiNewVersionUsingExistingApi
ApiManagementCreateApiRevisionFromExistingApi
ApiManagementCreateApiUsingImportOverrideServiceUrl
ApiManagementCreateApiUsingOai3Import
ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct
ApiManagementCreateApiUsingSwaggerImport
ApiManagementCreateApiUsingWadlImport
ApiManagementCreateApiWithMultipleAuthServers
ApiManagementCreateApiWithMultipleOpenIdConnectProviders
ApiManagementCreateApiWithOpenIdConnect
ApiManagementCreateGraphQLApi
ApiManagementCreateGrpcApi
ApiManagementCreateODataApi
ApiManagementCreateSoapPassThroughApiUsingWsdlImport
ApiManagementCreateSoapToRestApiUsingWsdlImport
ApiManagementCreateWebSocketApi

ApiManagementCreateApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      }
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiClone

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api2?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58a4aeac497000007d040001",
    "subscriptionRequired": true
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "apiRevision": "1",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "apiRevision": "1",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiNewVersionUsingExistingApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiVersion": "v4",
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoPath",
    "subscriptionRequired": true
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiRevision": "1",
    "apiVersion": "v4",
    "apiVersionSet": {
      "name": "Echo API2",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "versioningScheme": "Segment"
    },
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiRevision": "1",
    "apiVersion": "v4",
    "apiVersionSet": {
      "name": "Echo API2",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "versioningScheme": "Segment"
    },
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiRevisionFromExistingApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api"
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "properties": {
    "path": "echo",
    "apiRevision": "3",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "displayName": "Echo API",
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "properties": {
    "path": "echo",
    "apiRevision": "3",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "displayName": "Echo API",
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiUsingImportOverrideServiceUrl

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview

{
  "properties": {
    "format": "swagger-link",
    "path": "petstoreapi123",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "value": "http://apimpimportviaurl.azurewebsites.net/api/apidocs/"
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "properties": {
    "path": "petstoreapi123",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "apiRevision": "1",
    "displayName": "Swagger Sample App",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "properties": {
    "path": "petstoreapi123",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "apiRevision": "1",
    "displayName": "Swagger Sample App",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingOai3Import

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "openapi-link",
    "path": "petstore",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "openapi-link",
    "path": "petstore",
    "translateRequiredQueryParameters": "template",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingSwaggerImport

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "swagger-link-json",
    "path": "petstore",
    "value": "http://petstore.swagger.io/v2/swagger.json"
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "http"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "http"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingWadlImport

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wadl-link-json",
    "path": "collector",
    "value": "https://developer.cisco.com/media/wae-release-6-2-api-reference/wae-collector-rest-api/application.wadl"
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "properties": {
    "path": "collector",
    "description": "",
    "apiRevision": "1",
    "displayName": "http://localhost:8080/collector-northbound",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "properties": {
    "path": "collector",
    "description": "",
    "apiRevision": "1",
    "displayName": "http://localhost:8080/collector-northbound",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiWithMultipleAuthServers

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiWithMultipleOpenIdConnectProviders

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "openidAuthenticationSettings": [
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2283"
        },
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2284"
        }
      ]
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "openidProviderId2283"
      },
      "openidAuthenticationSettings": [
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2283"
        },
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2284"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiWithOpenIdConnect

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "protocols": [
      "https"
    ],
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateGraphQLApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "https://api.spacex.land/graphql"
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://api.spacex.land/graphql",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://api.spacex.land/graphql",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateGrpcApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "grpc",
    "format": "grpc-link",
    "path": "grpc-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "value": "https://raw.githubusercontent.com/kedacore/keda/main/pkg/scalers/externalscaler/externalscaler.proto"
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "grpc",
    "path": "grpc-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "grpc",
    "path": "grpc-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateODataApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "odata",
    "format": "odata-link",
    "path": "odata-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "value": "https://services.odata.org/TripPinWebApiService/$metadata"
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "odata",
    "path": "odata-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "odata",
    "path": "odata-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateSoapPassThroughApiUsingWsdlImport

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wsdl-link",
    "path": "currency",
    "apiType": "soap",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "wsdlSelector": {
      "wsdlEndpointName": "CurrencyConvertorSoap",
      "wsdlServiceName": "CurrencyConvertor"
    }
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "type": "soap",
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "type": "soap",
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateSoapToRestApiUsingWsdlImport

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wsdl-link",
    "path": "currency",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "wsdlSelector": {
      "wsdlEndpointName": "CurrencyConvertorSoap",
      "wsdlServiceName": "CurrencyConvertor"
    }
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateWebSocketApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "wss",
      "ws"
    ],
    "serviceUrl": "wss://echo.websocket.org"
  }
}

Örnek yanıt

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "ws",
      "wss"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "wss://echo.websocket.org",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "ws",
      "wss"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "wss://echo.websocket.org",
    "subscriptionKeyParameterNames": null
  }
}

Tanımlar

Name Description
ApiContactInformation

API iletişim bilgileri

ApiContract

API ayrıntıları.

ApiCreateOrUpdateParameter

API Parametreleri Oluşturun veya Güncelleştirin.

ApiCreateOrUpdatePropertiesWsdlSelector

WSDL'nin içeri aktarılmasını belgenin bir alt kümesiyle sınırlama ölçütleri.

ApiLicenseInformation

API lisans bilgileri

ApiType

API türü.

ApiVersionSetContractDetails

API Sürüm Kümesi, ilgili BIR DIZI API Sürümü için ortak yapılandırmayı içerir

AuthenticationSettingsContract

API Kimlik Doğrulama Ayarları.

BearerTokenSendingMethods

İstemcinin erişim belirtecini istemek için kullandığı yetkilendirme verme biçimi.

ContentFormat

API'nin içeri aktarıldığı İçeriğin biçimi. Gelecekte yeni biçimler eklenebilir

createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

OAuth2AuthenticationSettingsContract

API OAuth2 Kimlik Doğrulaması ayarları ayrıntıları.

OpenIdAuthenticationSettingsContract

API OAuth2 Kimlik Doğrulaması ayarları ayrıntıları.

Protocol
SoapApiType

Oluşturulacak API türü.

  • http bir REST API oluşturur
  • soap bir SOAP geçiş API'si oluşturur
  • websocket websocket API'si oluşturur
  • graphql GraphQL API'sini oluşturur. Gelecekte yeni türler eklenebilir.
SubscriptionKeyParameterNamesContract

Abonelik anahtarı parametre adları ayrıntıları.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

TranslateRequiredQueryParametersConduct

Gerekli sorgu parametrelerini şablon parametrelerine çevirme stratejisi. Varsayılan olarak 'template' değerine sahiptir. Olası değerler: 'template', 'query'

VersioningScheme

API Sürüm tanımlayıcısının HTTP isteğinde nerede bulunacağını belirleyen bir değer.

ApiContactInformation

API iletişim bilgileri

Name Tür Description
email

string

İlgili kişinin/kuruluşun e-posta adresi. E-posta adresi biçiminde olmalıdır

name

string

İlgili kişinin/kuruluşun tanımlayıcı adı

url

string

kişi bilgilerine işaret eden URL. URL biçiminde olmalıdır

ApiContract

API ayrıntıları.

Name Tür Description
id

string

Kaynağın tam kaynak kimliği. Örn - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Kaynağın adı

properties.apiRevision

string

minLength: 1
maxLength: 100

API'nin düzeltmesini açıklar. Değer sağlanmazsa, varsayılan düzeltme 1 oluşturulur

properties.apiRevisionDescription

string

maxLength: 256

API Düzeltmesi'nin açıklaması.

properties.apiVersion

string

maxLength: 100

API sürümlendiyse API'nin sürüm tanımlayıcısını gösterir

properties.apiVersionDescription

string

maxLength: 256

API Sürümünün açıklaması.

properties.apiVersionSet

ApiVersionSetContractDetails

Sürüm kümesi ayrıntıları

properties.apiVersionSetId

string

İlgili ApiVersionSet için kaynak tanımlayıcısı.

properties.authenticationSettings

AuthenticationSettingsContract

Bu API'ye dahil edilen kimlik doğrulama ayarlarının koleksiyonu.

properties.contact

ApiContactInformation

API için iletişim bilgileri.

properties.description

string

API'nin açıklaması. HTML biçimlendirme etiketleri içerebilir.

properties.displayName

string

minLength: 1
maxLength: 300

API adı. 1 ile 300 karakter uzunluğunda olmalıdır.

properties.isCurrent

boolean

API düzeltmenin geçerli API düzeltmesi olup olmadığını gösterir.

properties.isOnline

boolean

API revizyonuna ağ geçidi üzerinden erişilip erişilemeyeceğini gösterir.

properties.license

ApiLicenseInformation

API için lisans bilgileri.

properties.path

string

minLength: 0
maxLength: 400

Bu API'yi ve API Management hizmet örneği içindeki tüm kaynak yollarını benzersiz olarak tanımlayan göreli URL. Bu API için genel bir URL oluşturmak üzere hizmet örneği oluşturma sırasında belirtilen API uç nokta temel URL'sine eklenir.

properties.protocols

Protocol[]

Bu API'deki işlemlerin çağrılabileceği protokolleri açıklar.

properties.provisioningState

string

Sağlama durumu

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Bu API'yi uygulayan arka uç hizmetinin mutlak URL'si. 2000 karakterden uzun olamaz.

properties.sourceApiId

string

Kaynak API'nin API tanımlayıcısı.

properties.subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

API'nin kullanılabilir hale getirildiği protokoller.

properties.subscriptionRequired

boolean

API'ye erişmek için bir API'nin mi yoksa Ürün aboneliğinin mi gerekli olduğunu belirtir.

properties.termsOfServiceUrl

string

API için Hizmet Koşulları'nın URL'si. URL biçiminde olmalıdır.

properties.type

ApiType

API türü.

systemData

systemData

createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.

type

string

Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"

ApiCreateOrUpdateParameter

API Parametreleri Oluşturun veya Güncelleştirin.

Name Tür Description
apiRevision

string

minLength: 1
maxLength: 100

API'nin düzeltmesini açıklar. Değer sağlanmazsa, varsayılan düzeltme 1 oluşturulur

apiRevisionDescription

string

maxLength: 256

API Düzeltmesi'nin açıklaması.

apiVersion

string

maxLength: 100

API sürümlendiyse API'nin sürüm tanımlayıcısını gösterir

apiVersionDescription

string

maxLength: 256

API Sürümünün açıklaması.

apiVersionSetId

string

İlgili ApiVersionSet için kaynak tanımlayıcısı.

authenticationSettings

AuthenticationSettingsContract

Bu API'ye dahil edilen kimlik doğrulama ayarlarının koleksiyonu.

contact

ApiContactInformation

API için iletişim bilgileri.

description

string

API'nin açıklaması. HTML biçimlendirme etiketleri içerebilir.

isCurrent

boolean

API düzeltmenin geçerli API düzeltmesi olup olmadığını gösterir.

isOnline

boolean

API revizyonuna ağ geçidi üzerinden erişilip erişilemeyeceğini gösterir.

license

ApiLicenseInformation

API için lisans bilgileri.

properties.apiType

SoapApiType

Oluşturulacak API türü.

  • http bir REST API oluşturur
  • soap bir SOAP geçiş API'si oluşturur
  • websocket websocket API'si oluşturur
  • graphql GraphQL API'sini oluşturur. Gelecekte yeni türler eklenebilir.
properties.apiVersionSet

ApiVersionSetContractDetails

Sürüm kümesi ayrıntıları

properties.displayName

string

minLength: 1
maxLength: 300

API adı. 1 ile 300 karakter uzunluğunda olmalıdır.

properties.format

ContentFormat

API'nin içeri aktarıldığı İçeriğin biçimi. Gelecekte yeni biçimler eklenebilir

properties.path

string

minLength: 0
maxLength: 400

Bu API'yi ve API Management hizmet örneği içindeki tüm kaynak yollarını benzersiz olarak tanımlayan göreli URL. Bu API için genel bir URL oluşturmak üzere hizmet örneği oluşturma sırasında belirtilen API uç nokta temel URL'sine eklenir.

properties.protocols

Protocol[]

Bu API'deki işlemlerin çağrılabileceği protokolleri açıklar.

properties.provisioningState

string

Sağlama durumu

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Bu API'yi uygulayan arka uç hizmetinin mutlak URL'si. 2000 karakterden uzun olamaz.

properties.sourceApiId

string

Kaynak API'nin API tanımlayıcısı.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

Gerekli sorgu parametrelerini şablon parametrelerine çevirme stratejisi. Varsayılan olarak 'template' değerine sahiptir. Olası değerler: 'template', 'query'

properties.value

string

API içeri aktarılırken içerik değeri.

properties.wsdlSelector

ApiCreateOrUpdatePropertiesWsdlSelector

WSDL'nin içeri aktarılmasını belgenin bir alt kümesiyle sınırlama ölçütleri.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

API'nin kullanılabilir hale getirildiği protokoller.

subscriptionRequired

boolean

API'ye erişmek için bir API'nin mi yoksa Ürün aboneliğinin mi gerekli olduğunu belirtir.

termsOfServiceUrl

string

API için Hizmet Koşulları'nın URL'si. URL biçiminde olmalıdır.

type

ApiType

API türü.

ApiCreateOrUpdatePropertiesWsdlSelector

WSDL'nin içeri aktarılmasını belgenin bir alt kümesiyle sınırlama ölçütleri.

Name Tür Description
wsdlEndpointName

string

WSDL'den içeri aktarılacağınız uç noktanın (bağlantı noktası) adı

wsdlServiceName

string

WSDL'den içeri aktaracak hizmetin adı

ApiLicenseInformation

API lisans bilgileri

Name Tür Description
name

string

API için kullanılan lisans adı

url

string

API için kullanılan lisansın URL'si. URL biçiminde olmalıdır

ApiType

API türü.

Değer Description
http
soap
websocket
graphql
odata
grpc

ApiVersionSetContractDetails

API Sürüm Kümesi, ilgili BIR DIZI API Sürümü için ortak yapılandırmayı içerir

Name Tür Description
description

string

API Sürüm Kümesi açıklaması.

id

string

Mevcut API Sürüm Kümesi tanımlayıcısı. Yeni bir Sürüm Kümesi oluşturmak için bu değeri atla.

name

string

API Sürüm Kümesinin görünen Adı.

versionHeaderName

string

VersioningScheme headerolarak ayarlandıysa API Sürümünü gösteren HTTP üst bilgi parametresinin adı.

versionQueryName

string

VersioningScheme queryolarak ayarlandıysa API Sürümünü gösteren sorgu parametresinin adı.

versioningScheme

VersioningScheme

API Sürüm tanımlayıcısının HTTP isteğinde nerede bulunacağını belirleyen bir değer.

AuthenticationSettingsContract

API Kimlik Doğrulama Ayarları.

Name Tür Description
oAuth2

OAuth2AuthenticationSettingsContract

OAuth2 Kimlik Doğrulama ayarları

oAuth2AuthenticationSettings

OAuth2AuthenticationSettingsContract[]

Bu API'ye dahil edilen OAuth2 kimlik doğrulama ayarlarının koleksiyonu.

openid

OpenIdAuthenticationSettingsContract

OpenID Connect Kimlik Doğrulama Ayarları

openidAuthenticationSettings

OpenIdAuthenticationSettingsContract[]

Bu API'ye dahil edilen Open ID Connect kimlik doğrulama ayarlarının koleksiyonu.

BearerTokenSendingMethods

İstemcinin erişim belirtecini istemek için kullandığı yetkilendirme verme biçimi.

Değer Description
authorizationHeader

Erişim belirteci, Taşıyıcı şeması kullanılarak Yetkilendirme üst bilgisinde iletilir

query

Erişim belirteci sorgu parametreleri olarak iletilir.

ContentFormat

API'nin içeri aktarıldığı İçeriğin biçimi. Gelecekte yeni biçimler eklenebilir

Değer Description
wadl-xml

İçerikler satır içidir ve İçerik türü bir WADL belgesidir.

wadl-link-json

WADL belgesi, herkesin erişebileceği bir internet adresinde barındırılmaktadır.

swagger-json

İçerikler satır içidir ve İçerik Türü bir OpenAPI 2.0 JSON Belgesidir.

swagger-link-json

OpenAPI 2.0 JSON belgesi, genel olarak erişilebilen bir İnternet adresinde barındırılır.

wsdl

İçerik satır içidir ve belge bir WSDL/Soap belgesidir.

wsdl-link

WSDL belgesi, herkesin erişebileceği bir İnternet adresinde barındırılır.

openapi

İçerik satır içidir ve İçerik Türü bir OpenAPI 3.0 YAML Belgesidir.

openapi+json

İçerik satır içidir ve İçerik Türü bir OpenAPI 3.0 JSON Belgesidir.

openapi-link

OpenAPI 3.0 YAML belgesi, genel olarak erişilebilen bir İnternet adresinde barındırılır.

openapi+json-link

OpenAPI 3.0 JSON belgesi, genel erişime açık bir İnternet adresinde barındırılır.

graphql-link

Genel olarak erişilebilen bir internet adresinde barındırılan GraphQL API uç noktası.

odata

İçerik satır içidir ve İçerik Türü bir OData XML Belgesidir.

odata-link

Genel olarak erişilebilen bir İnternet adresinde barındırılan OData meta veri belgesi.

grpc

İçerikler satır içidir ve İçerik Türü bir gRPC protobuf dosyasıdır.

grpc-link

gRPC protobuf dosyası, genel olarak erişilebilen bir İnternet adresinde barındırılır.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

OAuth2AuthenticationSettingsContract

API OAuth2 Kimlik Doğrulaması ayarları ayrıntıları.

Name Tür Description
authorizationServerId

string

OAuth yetkilendirme sunucusu tanımlayıcısı.

scope

string

işlem kapsamı.

OpenIdAuthenticationSettingsContract

API OAuth2 Kimlik Doğrulaması ayarları ayrıntıları.

Name Tür Description
bearerTokenSendingMethods

BearerTokenSendingMethods[]

Sunucuya belirteç gönderme.

openidProviderId

string

OAuth yetkilendirme sunucusu tanımlayıcısı.

Protocol

Değer Description
http
https
ws
wss

SoapApiType

Oluşturulacak API türü.

  • http bir REST API oluşturur
  • soap bir SOAP geçiş API'si oluşturur
  • websocket websocket API'si oluşturur
  • graphql GraphQL API'sini oluşturur. Gelecekte yeni türler eklenebilir.
Değer Description
http

RESTful ön uca sahip bir SOAP API'sini içe aktarır.

soap

SOAP ön ucuna sahip SOAP API'sini içe aktarır.

websocket

Websocket ön ucuna sahip API'yi içe aktarır.

graphql

GraphQL ön ucuna sahip API'yi içe aktarır.

odata

OData ön ucuna sahip API'yi içeri aktarır.

grpc

gRPC ön ucuna sahip API'yi içeri aktarır.

SubscriptionKeyParameterNamesContract

Abonelik anahtarı parametre adları ayrıntıları.

Name Tür Description
header

string

Abonelik anahtarı üst bilgi adı.

query

string

Abonelik anahtarı sorgu dizesi parametre adı.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.

TranslateRequiredQueryParametersConduct

Gerekli sorgu parametrelerini şablon parametrelerine çevirme stratejisi. Varsayılan olarak 'template' değerine sahiptir. Olası değerler: 'template', 'query'

Değer Description
template

Gerekli sorgu parametrelerini şablon parametrelerine çevirir. Varsayılan bir değerdir

query

Gerekli sorgu parametrelerini olduğu gibi bırakır (çeviri yapılmaz).

VersioningScheme

API Sürüm tanımlayıcısının HTTP isteğinde nerede bulunacağını belirleyen bir değer.

Değer Description
Segment

API Sürümü bir yol segmentinde geçirilir.

Query

API Sürümü bir sorgu parametresinde geçirilir.

Header

API Sürümü bir HTTP üst bilgisinde geçirilir.